#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
ll a[40], n, s, rs;
int main()
{
    scanf("%lld%lld", &n, &s);
    for (int i = 0; i < n; i++) scanf("%lld", a + i);
    int thr = 18;
    if (n <= thr)
    {
        for (int i = 0; i < (1 << n); i++)
        {
            ll sum = 0;
            for (int j = 0; j < n; j++)
                if (i >> j & 1)
                    sum += a[j];
            if (sum == s)
            {
                for (int j = 0; j < n; j++)
                    putchar('0' + (i >> j & 1));
                exit(0);
            }
        }
    }
    else
    {
        unordered_map<ll, ll> M;
        for (int i = 0; i < (1 << thr); i++)
        {
            ll sum = 0;
            for (int j = 0; j < thr; j++)
                if (i >> j & 1)
                    sum += a[j];
            M[sum] = i;
        }
        for (int i = 0; i < (1 << (n - thr)); i++)
        {
            ll sum = 0;
            for (int j = thr; j < n; j++)
                if (i >> (j - thr) & 1)
                    sum += a[j];
            auto ite = M.find(s - sum);
            if (ite != M.end())
            {
                for (int j = 0; j < thr; j++)
                    putchar('0' + (ite->second >> j & 1));
                for (int j = thr; j < n; j++)
                    putchar('0' + (i >> (j - thr) & 1));
                exit(0);
            }
        }
    }
    return 0;
}